#ifndef FREESPACE_H_
#define FREESPACE_H_

BOOL FindFirstFreeSpace(RDWRHandle handle, CLUSTER* space,
                        unsigned long* length);

BOOL FindFirstFittingFreeSpace(RDWRHandle handle, 
                               unsigned long size,
                               CLUSTER* freespace);
			       
BOOL FindNextFreeSpace(RDWRHandle handle, CLUSTER* space,
                       unsigned long* length);			       
		       
BOOL FindLastFreeCluster(RDWRHandle handle, CLUSTER* result);		       
                               
#endif
